Bug 8197 - --urpmi-root option is not passed to urpmi.update when media update is forced from urpmi
: --urpmi-root option is not passed to urpmi.update when media update is forced...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 00:10 MSD by Denis Silakov
Modified: 2017-08-31 03:41 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2017-08-05 00:10:00 MSD
Advisory:
--urpmi-root option is now passed to urpmi.update command when media update is forced from urpmi (e.g., when use launches "urpmi foo" and package download fails due to obsolete metadata).

In addition, this fix updates Russian localization. As a result, all issues discussed in http://forum.rosalab.ru/viewtopic.php?f=53&t=8326 should be fixed.

Build lists:
https://abf.rosalinux.ru/build_lists/2885114
https://abf.rosalinux.ru/build_lists/2885116
Comment 1 Vladimir Potapov 2017-08-24 06:49:48 MSD
1) Localization issues:

  --auto-req     - автоматически делать выбор между несколькими альтернативами.
  --auto-media   - when provided with remote files, try to add media from
                  that files locations.
  --auto-select  - автоматически выбрать пакеты для обновления системы

--no-auto-req  - при наличии альтернатив, спрашивать пользователя.
  --no-auto-media - when provided with remote files, do not try to add media
                  from that files locations.
  --no-suggests  - не выбирать автоматически рекомендованные пакеты

 --metalink     - сгенерировать и использовать локальные метассылки
  --download-all - download all needed packages before trying to install them
                   (this is the default behavior)
  --no-download-all - скачивать каждый пакет непосредственно перед его установкой
  --downloader   - program to use to retrieve distant files.
                   known programs: wget, curl, prozilla, aria2

2) urpmi не спрашивает выбор из нескольких вариантов библиотек при инсталляции (уже давно) а gurpmi до сих пор спрашивает.

3) Для 2014.1 бы....
Comment 2 Vladimir Potapov 2017-08-24 18:26:40 MSD
The update is sent to expanded testing
**************************************
Comment 3 Denis Silakov 2017-08-28 01:29:15 MSD
You can try new build lists with localization for "---auto-media":

Build lists:

https://abf.io/build_lists/2889013
https://abf.io/build_lists/2889014
Comment 4 Vladimir Potapov 2017-08-30 19:56:03 MSD
The update is sent to expanded testing
****************************************
Comment 5 Vladimir Potapov 2017-08-30 20:04:12 MSD
urpmi-7.32.3-55
https://abf.io/build_lists/2889013
https://abf.io/build_lists/2889014
*************************** Advisory ****************************
--urpmi-root option is now passed to urpmi.update command when media update is forced from urpmi (e.g., when use launches "urpmi foo" and package download fails due to obsolete metadata).

In addition, this fix updates Russian localization. As a result, all issues discussed in http://forum.rosalab.ru/viewtopic.php?f=53&t=8326 should be fixed.
*****************************************************************
QA Verified